package org.experlog.base;

import java.util.Vector;
import java.util.Date;
import java.text.DateFormat;

public class DatasourceRequest {

        Vector vect;
        int count;
        
        public DatasourceRequest() {
                vect = new Vector();
                count = 0;
        }
        
        public void addLog(String alog) {
                count ++;
                vect.add("[" + count+" "+ DateFormat.getDateInstance().format(new Date(System.currentTimeMillis())) + ": " + alog + "]");
        }
        
        public void removeFirstLog() {
                vect.remove(0);
        }
        
        public int size() {
                return vect.size();
        }
        
        public void clear() {
                vect.clear();
        }
        
        public String toString() {
                return vect.toString();
        }
}