package org.experlog.gencode;

/**
 * A /dev/null PrintWriter
 */
public class NullPrintWriter extends java.io.PrintWriter {

  public NullPrintWriter() {
    super(new NullOutputStream());
  }
}

class NullOutputStream extends java.io.OutputStream {

  public void write(byte[] b, int off, int len) { }

  public void write(int b) { }

  public void write(byte[] b) throws java.io.IOException { }
}

