/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.util;

import java.sql.SQLException;
import java.util.Hashtable;

import org.experlog.openeas.api.DataObject;

public class ESSimpleDataTuple implements DataObject {

	Hashtable cache_ = null;

	public ESSimpleDataTuple() throws SQLException {
		cache_ = new Hashtable();
	}

	public String get(String name) throws SQLException {
		return (String) cache_.get(name);
	}

	public void put(String name, Object val) {
		cache_.put(name, val);
	}
}

